Package: groovy.text.markup

## [Groovy] Class MarkupTemplateTypeCheckingExtension

- groovy.text.markup.MarkupTemplateTypeCheckingExtension

-     class MarkupTemplateTypeCheckingExtension
      extends TypeCheckingDSL

  A static compilation type checking extension, responsible for transforming unresolved method calls into direct calls to BaseTemplate.methodMissing for faster rendering.

  This extension also supports optional type checking of the model

- - ### Constructor Summary

    Constructors
    Constructor and description
    `MarkupTemplateTypeCheckingExtension()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Object` | `run()`

- - ### Constructor Detail

    - #### MarkupTemplateTypeCheckingExtension()

  - ### Method Detail

    - #### @Override
      Object run()